## hplip 3.12.2-1ubuntu3.1+6.0trisquel4

=== debian/changelog ===
hplip (3.12.2-1ubuntu3.1+6.0trisquel4) toutatis; urgency=low

  * Removed printers with propietary drivers (required and optional)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 03 Feb 2013 06:36:17 +0000

hplip (3.12.2-1ubuntu3.1) precise-proposed; urgency=low

  * debian/control: Let hplip recommend printer-driver-postscript-hp
    (LP: #1014478).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 26 Jun 2012 20:55:00 +0200

hplip (3.12.2-1ubuntu3) precise; urgency=low

  * debian/patches/fax-support-hp-laserjet-m1522nf-mfp.dpatch: Fixed fax
    sending support for the HP LaserJet M1522nf MFP (LP: #790238).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  4 Apr 2012 13:59:00 +0200

hplip (3.12.2-1ubuntu2) precise; urgency=low

  * debian/control: Added Replaces/Breaks on hplip-data (<< 3.10.5-4ubuntu1)
    to the libsane-hpaio binary package, to make update from Ubuntu Lucid LTS
    to Precise LTS working (LP: #954847).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 14 Feb 2012 18:49:00 +0100

hplip (3.12.2-1ubuntu1) precise; urgency=low

  * debian/local/scripts/hp-plugin-ubuntu, debian/hplip-gui.install: Return
    from HPLIP's own automatic plugin installation to the Ubuntu method,
    HP's method installs the plugin when an arbitrary HP LaserJet printer is
    detected on the USB.
  * debian/patches/hp-mkuri-libnotify-so-4-support.dpatch: Let hp-mkuri use
    libnotify.so.4.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 27 Feb 2012 16:13:00 +0100

hplip (3.12.2-1) unstable; urgency=low

  * New Upstream Release
  * Fixup Replaces: for squeeze security updates (Closes: #658056)
    - Fixes "obsolete conffiles not removed on upgrades" (Closes: #645848)
  * Cleanup Obsolete Replaces: Depends: Breaks: - support upgrades squeeze+
  * Obtain user consent before running hp-check in reportbug
    - Fixes "bug script starts /usr/share/hplip/systray.py" (Closes: #623627)
  * Drop legacy Uploaders
  * Add hplip Depends: python-gobject-2
    - Fixes "missing dependency causes hp-plugin to fail" (Closes: #600360)

 -- Mark Purcell <msp@debian.org>  Sat, 18 Feb 2012 13:56:10 +1100

hplip (3.12.2-0ubuntu1) precise; urgency=low

  * New upstream release
     o Added support for: HP LaserJet Pro 300 color MFP M375nw, 400 color
       MFP M475dn, 400 color MFP M475dw, 300 color M351a, 400 color M451nw,
       400 color M451dn, 400 color M451dw, P1108, P1106, P1102s, Color
       LaserJet CP1217
     o Bug fixes.
  * debian/patches/hplip-systray-longer-timeout-for-system-tray-start.dpatch:
    Removed, fixed upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  9 Feb 2012 16:29:00 +0100

hplip (3.11.12-2) unstable; urgency=low

  * Reinstate printer-driver-{hpcups,hpijs}.install
    - Fixes "File "/usr/lib/cups/filter/hpcups" not available: No such file
    or directory" (Closes: #655424)

 -- Mark Purcell <msp@debian.org>  Thu, 12 Jan 2012 08:12:58 +1100

hplip (3.11.12-1) unstable; urgency=low

  * New Upstream Release
  * Fix "Please rename the hplip packages to the printer-driver-
    convention" odyx patch - thks (Closes: #649991)
  * Fix "debian/control uses hardcoded list of non-Linux architectures"
    Update Build-Depends: libudev-dev [linux-any] (Closes: #634488)
  * Fix "hp-scan scans entire job and then reports inability to produce
    PDFs without reportlab" Added Depends: python-reportlab (Closes: #651240)
  * Fix "hplip bug report" python handling correct (Closes: #609680)

 -- Mark Purcell <msp@debian.org>  Sun, 08 Jan 2012 20:10:45 +1100

hplip (3.11.12-0ubuntu1) precise; urgency=low

  * New upstream release
     o Auto-detection and installation of missing plug-ins
     o Added support for: HP LaserJet Enterprise 600 M601n, M601dn, M602n,
       M602dn, M602x, M603n, M603dn, M603xh, LaserJet 200 color MFP M275nw,
       M275s, M275t, M275u, Photosmart 5510d e-All-in-One
     o Bug fixes.
  * debian/patches/add_missing_newline_for_error_log.dpatch,
    debian/patches/hpcups-top-margins-not-respected.dpatch: Removed, fixed
    upstream.
  * debian/patches/udev-rules-use-attrs-not-sysfs-and-hp-mkuri-call-fix.dpatch,
    debian/patches/udev-rules-hp-mkuri-call-fix.dpatch: SYSFS issue is fixed
    upstream, replaced the patch by one for only the hp-mkuri part.
  * debian/patches/hplip-syslog-fix-debug-messages-to-error.dpatch: Regenerated.
  * debian/hplip-gui.install: Added new files for automatic plugin installation.
  * debian/hplip.dirs: Install new /var/log/hp/ directory.
  * debian/control: printer-driver-postscript-hp needs hpps CUPS filter, which
    is in the hplip package, therefore depend on hplip.
  * debian/local/scripts/hp-plugin-ubuntu: Only do the automatic installation
    of the plugin if the HPLIP GUI is not installed, otherwise HPLIP does
    the installation on its own.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  6 Jan 2012 12:53:00 +0100

hplip (3.11.10-1ubuntu4) precise; urgency=low

  * debian/rules: Use "#!/usr/bin/python" instead of "#!/usr/bin/env python"
    to specify the path to the Python interpreter, to assure that always
    the system's interpreter is used and never a possibly incompatible
    alternative Python interpreter (LP: #912625).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  6 Jan 2012 09:37:00 +0100

hplip (3.11.10-1ubuntu3) precise; urgency=low

  * debian/hplip.install: Added entry for /usr/lib/cups/filter/hpps.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  6 Jan 2012 01:13:00 +0100

hplip (3.11.10-1ubuntu2) precise; urgency=low

  * debian/control, debian/rules, debian/hpijs.README.Debian,
    debian/hpijs.docs, debian/hpijs.install, debian/hpijs.lintian,
    debian/hpijs.manpages, debian/hpijs.ppd-updater,
    debian/hplip-cups.NEWS, debian/hplip-cups.install,
    debian/hplip-cups.lintian, debian/hplip-cups.ppd-updater,
    debian/hplip-data.install, debian/hplip.install,
    debian/hplip.ppd-updater, debian/printer-driver-hpcups.NEWS,

