## hplip 3.12.6

=== debian/changelog ===
hplip (3.12.6-3.1+deb7u1) stable-security; urgency=low

  * CVE-2013-4325 CVE-2013-6402 CVE-2013-6427

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 10 Dec 2013 00:04:01 +0100

hplip (3.12.6-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/CVE-2013-0200.patch: Fix CVE-2013-0200 by applying the
    patch from Red Hat. Additionally increase the buffers to mitigate an
    regression and a buffer overflow. (Closes: #701185)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 01 Mar 2013 18:21:48 +0100

hplip (3.12.6-3) unstable; urgency=low

  * [!linux-any] --enable-libusb01_build

 -- Mark Purcell <msp@debian.org>  Sun, 24 Jun 2012 16:49:41 +1000

hplip (3.12.6-2) unstable; urgency=low

  * Build-Depends: libusb-1.0-0-dev [linux-any], libusb-dev [!linux-any]
  * Update to Standards-Version: 3.9.3
  * Fix debhelper-but-no-misc-depends

 -- Mark Purcell <msp@debian.org>  Sun, 24 Jun 2012 13:53:48 +1000

hplip (3.12.6-1) unstable; urgency=low

  * New Upstream Release
    - Fixes "print fails to HP Color LJ 3600, err=26" (Closes: #529884)
    - Fixes "UnicodeDecodeError: 'ascii' codec"   (Closes: #635128)
    - Fixes "hp-setup: should allow input any characters" (Closes: #470201)

 -- Mark Purcell <msp@debian.org>  Sat, 23 Jun 2012 10:28:22 +1000

hplip (3.12.6-0ubuntu1) quantal; urgency=low

  * New upstream release
     o Added PIN to PRINT support for HP Color LaserJet CM4540 MFP
     o libusb-1.0 support added
     o Added support for: HP DeskJet Ink Advantage 2510, 3525, 4610, 4620,
       5525, 2510, 3520, OfficeJet 4610, 4620, Photosmart 5520, LaserJet 400
       M401, 400 MFP M425, LaserJet Enterprise 500 MFP M525, 500 Color MFP
       M575, LaserJet Professional P 1102w, P1107w, P1107, P1109w, P1109,
       M1137, M1138, M1139, P1567, P1568, P1569, P1607dn, P1608dn, P1609dn
  * debian/patches/hp-check-groups.dpatch: Removed, problem solved upstream.
  * debian/patches/fax-support-hp-laserjet-m1522nf-mfp.dpatch: Removed,
    applied upstream.
  * debian/patches/hp-check_debian.dpatch,
    debian/patches/hpaio-option-duplex.diff: Updated.
  * debian/patches/simple-scan-as-default.dpatch,
    debian/patches/make-commafy-correctly-work-with-python-2.dpatch,
    debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch,
    debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch:
    Refreshed with quilt.
  * debian/control: Switch over to libusb 1.0.x.
  * debian/control: Added build dependency on dh_autoreconf.
  * debian/rules, debian/printer-driver-hpcups.install,
    debian/printer-driver-postscript-hp.install,
    debian/printer-driver-hpijs.install, debian/hpijs-ppds.install: Install
    ppd-updater files with .ppd-updater extension, as the other packages do.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 20 Jun 2012 20:19:00 +0200

hplip (3.12.4-2) unstable; urgency=low

  * Fix "fails to upgrade from 'squeeze'" (Closes: #675307)
    - hplip-gui Replaces: hplip  (<< 3.12.4-2)
    - Add specific package.bug-script files

 -- Mark Purcell <msp@debian.org>  Sun, 10 Jun 2012 22:59:08 +1000

hplip (3.12.4-1) unstable; urgency=low

  * New upstream release
  * Switch to source/format 3.0 (quilt) - drop dpatch
  * Refreshed debian/patches
  * dh_autoreconf debian/autogen.sh & set local-options single-debian-patch
  * Update to debian/compat -> 9
  * Fix "hardened build flags" patch from Moritz - thanks (Closes: #667828)
  * Fix "duplex descriptor uninitialized" patch from Matej (Closes: #583273)
  * Fix "please migrate to kde-runtime" patch from Pino (Closes: #666544)

 -- Mark Purcell <msp@debian.org>  Sat, 26 May 2012 11:20:39 +1000
