=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: hplip
 Section: utils
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Till Kamppeter <till.kamppeter@gmail.com>
-Build-Depends: libcups2-dev, libcupsimage2-dev, libsane-dev, libsnmp-dev, libjpeg-dev, libusb-dev (>= 0.1.8), 
- debhelper (>= 5.0.37.2), autotools-dev, dpatch (>= 2), autoconf, automake, libtool, cups (>= 1.4.0) | cupsddk,
+Build-Depends: libcups2-dev, libcupsimage2-dev, libsane-dev, libsnmp-dev, libjpeg-dev,
+ libusb-1.0-0-dev [linux-any], libusb-dev [!linux-any],
+ debhelper (>= 9), autotools-dev, autoconf, automake, libtool, cups (>= 1.4.0) | cupsddk,
  patch (>= 2.5.9-3bpo1), findutils (>= 4.2.28), 
  python-dev, python-all-dev (>= 2.6.6-3~), python-qt4, pyqt4-dev-tools,
  python-dbus (>= 0.80), python-qt4-dbus, libdbus-1-dev, libudev-dev [linux-any], policykit-1,
- fdupes, lsb-release, pyppd (>= 0.4.9-5)
+ fdupes, lsb-release, pyppd (>= 0.4.9-5), dh-autoreconf
 X-Python-Version: >= 2.5
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Homepage: http://hplipopensource.com/hplip-web/index.html
 Vcs-Svn: svn://svn.debian.org/pkg-hpijs/hplip/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-hpijs/hplip/?op=log
@@ -23,7 +24,7 @@
  ${python:Depends}, python-dbus (>= 0.80), python-imaging, python-pexpect, python-reportlab,
  coreutils (>= 5.1.0), lsb-base (>= 3), adduser (>= 3.34), cups (>= 1.1.20),
  policykit-1, python-gobject-2, wget
-Recommends: printer-driver-postscript-hp, sane-utils, avahi-daemon
+Recommends: sane-utils, avahi-daemon
 Suggests: hplip-gui, hplip-doc, python-notify, system-config-printer
 Description: HP Linux Printing and Imaging System (HPLIP)
  The HP Linux Printing and Imaging System provides full support for
@@ -76,8 +77,10 @@
 Architecture: all
 Depends: ${misc:Depends}, hplip (>= ${hplip:source:Version}), dbus-x11, 
  ${python:Depends}, python-qt4, python-qt4-dbus, 
- gksu | kdebase-bin (<< 4:4.4.0-1) | kdebase-runtime | kdesudo | ktsuss
+ gksu | kdebase-bin (<< 4:4.4.0-1) | kde-runtime | kdebase-runtime | kdesudo | ktsuss
 Recommends: xsane | simple-scan | skanlite, python-notify
+Replaces: hplip  (<< 3.12.4-2)
+Breaks: hplip  (<< 3.12.4-2)
 Description: HP Linux Printing and Imaging - GUI utilities (Qt-based)
  This package contains utilities with graphical user interface (GUI) for
  HPLIP: HP Toolbox, HP Fax, ...
@@ -129,7 +132,7 @@
 Architecture: all
 Section: oldlibs
 Priority: extra
-Depends: printer-driver-hpijs
+Depends: ${misc:Depends}, printer-driver-hpijs
 Description: transitional dummy package for hpijs printer driver
  This is a transitional dummy package to transition to uniformly named
  printer-driver-hpijs.
@@ -169,7 +172,7 @@
 Architecture: all
 Section: oldlibs
 Priority: extra
-Depends: printer-driver-hpcups
+Depends: ${misc:Depends}, printer-driver-hpcups
 Description: transitional dummy package for hpcups printer driver
  This is a transitional dummy package to transition to uniformly named
  printer-driver-hpcups.
