=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,6 @@
 
 PACKAGE=hplip
 BASEPKG=hplip
-
-# DPatch
-DEB_SOURCE_PACKAGE:=$(PACKAGE)
-include /usr/share/dpatch/dpatch.make
 
 # DebHelper control
 export DH_ALWAYS_EXCLUDE=CVS:.cvsignore
@@ -30,7 +26,7 @@
 PKGTMP:=$(CURDIR)/debian/tmp
 PPDDIR:=$(PKGTMP)/usr/share/ppd
 
-SF_MIRRORS:= optusnet ovh puzzle superb-east
+SF_MIRRORS:= ovh puzzle superb-east
 -include /usr/share/gnome-pkg-tools/1/rules/sf-get-source.mk
 
 # Version information
@@ -62,18 +58,14 @@
 ifeq ($(DEB_HOST_ARCH_OS), linux)
   CONFFLAGS += --enable-pp-build
 else
-  CONFFLAGS += --disable-pp-build
-endif
-
-DEBUGFLAGS=-g
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	DEBUGFLAGS += -O0
-else
-	DEBUGFLAGS += -O2
-endif
-
-CFLAGS:=-Wall -pipe $(DEBUGFLAGS)
+  CONFFLAGS += --disable-pp-build --enable-libusb01_build
+endif
+
+CFLAGS:=-Wall -pipe
+CFLAGS += `dpkg-buildflags --get CFLAGS`
 CXXFLAGS:=$(CFLAGS)
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
 
 ##
 ##  Build-tree preparation
@@ -83,12 +75,11 @@
 	dh_testdir
 	touch NEWS README AUTHORS ChangeLog
 	chmod +x debian/autogen.sh
-	debian/autogen.sh
+	dh_autoreconf debian/autogen.sh
 
 # Clean everything up, including everything auto-generated
 # at build time that needs not to be kept around in the Debian diff
-clean: clean-patched unpatch
-clean-patched: configure
+clean: configure
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
@@ -115,14 +106,14 @@
 ##  Package build
 ##
 
-configure-stamp: patch-stamp configure
+configure-stamp: configure
 	dh_testdir
 
 	ln -sf /usr/share/misc/config.sub .
 	ln -sf /usr/share/misc/config.guess .
 	rm -f config.cache
 
-	./configure CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
+	./configure CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"\
 		HPLIP_PPD_PATH=/usr/share/ppd \
 		$(CONFFLAGS) \
 	 	--config-cache \
@@ -193,15 +184,16 @@
 	# on udev signal (Ubuntu only)
 	if [ "`lsb_release -is 2>/dev/null`" = "Ubuntu" ]; then \
 		install -d $(CURDIR)/debian/hplip/usr/bin/; \
+		install -m 755 debian/local/scripts/hp-plugin-ubuntu $(CURDIR)/debian/hplip/usr/bin/; \
 	fi
 
 	# Install the ppd updater data files so that CUPS can update the
 	# PPDs of the already existing queue after each update of HPLIP's
 	# printer driver/PPD packages
-	install -D -m 644 debian/printer-driver-postscript-hp.ppd-updater $(PKGTMP)/usr/share/cups/ppd-updaters/printer-driver-postscript-hp
-	install -D -m 644 debian/printer-driver-hpcups.ppd-updater $(PKGTMP)/usr/share/cups/ppd-updaters/printer-driver-hpcups
-	install -D -m 644 debian/printer-driver-hpijs.ppd-updater $(PKGTMP)/usr/share/cups/ppd-updaters/printer-driver-hpijs
-	install -D -m 644 debian/hpijs-ppds.ppd-updater $(PKGTMP)/usr/share/cups/ppd-updaters/hpijs-ppds
+	install -D -m 644 debian/printer-driver-postscript-hp.ppd-updater $(PKGTMP)/usr/share/cups/ppd-updaters/printer-driver-postscript-hp.ppd-updater
+	install -D -m 644 debian/printer-driver-hpcups.ppd-updater $(PKGTMP)/usr/share/cups/ppd-updaters/printer-driver-hpcups.ppd-updater
+	install -D -m 644 debian/printer-driver-hpijs.ppd-updater $(PKGTMP)/usr/share/cups/ppd-updaters/printer-driver-hpijs.ppd-updater
+	install -D -m 644 debian/hpijs-ppds.ppd-updater $(PKGTMP)/usr/share/cups/ppd-updaters/hpijs-ppds.ppd-updater
 
 	# Install Apport hook
 	install -D -m 644 debian/local/apport-hook.py $(PKGTMP)/usr/share/apport/package-hooks/source_hplip.py
@@ -249,6 +241,3 @@
 
 	# Link all executables to /usr/bin and generate the corresponding
 	# man pages
-	export HPLIP_BUILD=1; \
-	( cd ./debian/tmp/usr/share/hplip/; \
-	    for file in *.py; do \
