=== debian/watch ===
version=3
http://sf.net/hplip/hplip-(.+)\.tar\.gz debian svn-upgrade
