## hplip 3.12.11

=== debian/changelog ===
hplip (3.12.11-0ubuntu1) raring-proposed; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     o Added support for: HP LaserJet Pro 500 color MFP M570dw,
       Pro 500 color MFP M570dn, LaserJet Enterprise flow MFP M525,
       color flow MFP M575, 700 M712n, 700 M712dn, 700 M712xh,
       700 color MFP M775dn, 700 color MFP M775f, 700 color MFP M775z,
       700 color MFP M775z+
     o Secure Printing support for HP LaserJet P3010 Series
     o Job storage support with postscript finishing filter
  * debian/patches/hplip-release-parport.patch: Removed, fixed upstream.

  [ Dmitry Shachnev ]
  * debian/patches/kde4-kdesudo-support.dpatch: Use "which" instead of
    "utils.which", to fix a NameError (LP: #1069324).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 30 Nov 2012 11:34:00 +0100

hplip (3.12.10a-1) experimental; urgency=low

  [ Till Kamppeter ]
  * New upstream release
    - Fixed crash in HP Device Manager and System Tray due to ValueError
      exception in HPLIP upgrade functionality (LP: #1064889).
  * debian/hplip.install, debian/hplip-gui.install: Added some missing program
    file links.
  * debian/patches/hplip-release-parport.patch: libsane-hpaio does not close
    /dev/parport* after checking for a scanner (LP: #1065582, Red Hat bug
    #1065582).

  [ Mark Purcell ]
  * debian/bug-script: Fix bashism (Closes: #690625, #687243) 

 -- Mark Purcell <msp@debian.org>  Sat, 27 Oct 2012 16:03:17 +1100

hplip (3.12.10-1) experimental; urgency=low

  * New upstream release
    - Fixes "Network scanning fails (Closes: #683033)
  * quilt refresh hplip-syslog-fix-debug-messages-to-error.dpatch
  * Fix "error in clean build env" updated debian/rules (Closes: #687129)

 -- Mark Purcell <msp@debian.org>  Sat, 06 Oct 2012 15:03:44 +1000

hplip (3.12.6-3ubuntu2) quantal; urgency=low

  * debian/rules: Removed dependency of the "clean" rule on the "configure"
    rule. This prevented from a clean source package being generated.
  * debian/hplip.dirs: Create empty /var/lib/hp/ directory when installing so
    that HPLIP can annotate that it installed the plugin (LP: #1055521).
  * debian/rules: Made HPLIP build with CUPS 1.6.1 and later by overriding a
    new conditional to hide the private ipp_t data structure in cups/ipp.h by
    adding "-D_IPP_PRIVATE_STRUCTURES=1" to CFLAGS (Problem reported upstream
    to HPLIP as LP: #1056214).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 25 Sep 2012 20:58:00 +0200

hplip (3.12.6-3ubuntu1) quantal; urgency=low

  * debian/control: Let hplip recommend printer-driver-postscript-hp
    (LP: #1014478).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 26 Jun 2012 20:55:00 +0200
