=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,7 @@
   CONFFLAGS += --disable-pp-build --enable-libusb01_build
 endif
 
-CFLAGS:=-Wall -pipe
+CFLAGS:=-Wall -pipe -D_IPP_PRIVATE_STRUCTURES=1
 CFLAGS += `dpkg-buildflags --get CFLAGS`
 CXXFLAGS:=$(CFLAGS)
 LDFLAGS = `dpkg-buildflags --get LDFLAGS`
@@ -73,13 +73,13 @@
 
 configure: Makefile.am configure.in
 	dh_testdir
-	touch NEWS README AUTHORS ChangeLog
+	touch NEWS README AUTHORS ChangeLog INSTALL
 	chmod +x debian/autogen.sh
 	dh_autoreconf debian/autogen.sh
 
 # Clean everything up, including everything auto-generated
 # at build time that needs not to be kept around in the Debian diff
-clean: configure
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
@@ -98,7 +98,7 @@
 	# We prefer to regenerate these using pyuic
 	(cd ui && for i in *.ui ; do rm -f $${i%.ui}.py ; done)
 
-	rm -f NEWS README AUTHORS ChangeLog
+	rm -f NEWS README AUTHORS ChangeLog INSTALL
 
 	dh_clean
 
@@ -240,4 +240,3 @@
 	done
 
 	# Link all executables to /usr/bin and generate the corresponding
-	# man pages
