=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hplip
 Section: utils
 Priority: optional
-Maintainer: Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Till Kamppeter <till.kamppeter@gmail.com>
 Build-Depends: libcups2-dev, libcupsimage2-dev, libsane-dev, libsnmp-dev, libjpeg-dev,
  libusb-1.0-0-dev [linux-any], libusb-dev [!linux-any],
@@ -24,7 +25,7 @@
  ${python:Depends}, python-dbus (>= 0.80), python-imaging, python-pexpect, python-reportlab,
  coreutils (>= 5.1.0), lsb-base (>= 3), adduser (>= 3.34), cups (>= 1.1.20),
  policykit-1, python-gobject-2, wget
-Recommends: sane-utils, avahi-daemon
+Recommends: printer-driver-postscript-hp, sane-utils, avahi-daemon
 Suggests: hplip-gui, hplip-doc, python-notify, system-config-printer
 Description: HP Linux Printing and Imaging System (HPLIP)
  The HP Linux Printing and Imaging System provides full support for
